Subject: git-send-email w/ headers

From: Len Brown <[email-masked]>
Date: Wed, 4 Oct 2006 12:50:50 -0400

git-send-email seems to strip out my custom headers.

git-format-patch says it can do this:

CONFIGURATION
You can specify extra mail header lines to be added to each message in the repository configuration as follows:
headers = "Organization: git-foo\n"

So I have this:
$ cat .git/config
[format]
        headers = Reply-To: Len Brown <[email-masked]>\nOrganization: Intel Open Source Technology Center\n

$ git-format-patch -o foo -n --thread master..lenb
seems to correctly pick up the headers:

$ cat foo/0001-test-create-junk.txt
>From 6706b39a213064d00af0ec58a159b71b0719a3b4 Mon Sep 17 00:00:00 2001
Message-Id: <6[email-masked]>
From: Len Brown <[email-masked]>
Reply-To: Len Brown <[email-masked]>
Organization: Intel Open Source Technology Center
Date: Wed, 4 Oct 2006 01:11:12 -0400
Subject: [PATCH 1/14] test: create junk

Signed-off-by: Len Brown <[email-masked]>
---
 junk |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/junk b/junk
new file mode 100644
index 0000000..9ecf3cf
--- /dev/null
+++ b/junk
@@ -0,0 +1 @@
+this
--
1.4.2.3.g128e

$ git-send-email  --no-chain-reply-to --compose --to [email-masked] --smtp-server smpt.comcast.net --suppress-from foo

and i receive a message w/o the Organization and Reply-to headers:

$ cat ~/Documents/test.e-mail-received
>From [email-masked] Wed Oct  4 12:34:51 2006
From: Len Brown <[email-masked]>
To: [email-masked]
Cc: Len Brown <[email-masked]>
Subject: [PATCH 1/14] test: create junk
Date: Wed,  4 Oct 2006 12:34:51 -0400
Status: R

Signed-off-by: Len Brown <[email-masked]>
---
 junk |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/junk b/junk
new file mode 100644
index 0000000..9ecf3cf
--- /dev/null
+++ b/junk
@@ -0,0 +1 @@
+this
--
1.4.2.3.g128e

Same thing happens if I use the SMTP server inside Intel.
I haven't figured out how to send directly via kernel.org using this command
kmail uses a password and ssh to talk to kernel.org.
This is actually sort of an issue too, because smtp.comcast.net
limits the number of messages sent per connection and
will drop after 10 messages with this:
requested action aborted: too many messages on a single connection

thanks,
-Len